/*!
 * angular-loading-bar v0.8.0
 * https://chieffancypants.github.io/angular-loading-bar
 * Copyright (c) 2015 Wes Cruver
 * License: MIT
 */

/* Make clicks pass-through */
#loading-bar,
#loading-bar-spinner {
    pointer-events: none;
    -webkit-pointer-events: none;
    @include transition(all 350ms linear);
}

#loading-bar.ng-enter,
#loading-bar.ng-leave.ng-leave-active,
#loading-bar-spinner.ng-enter,
#loading-bar-spinner.ng-leave.ng-leave-active {
    @include opacity(0);
}

#loading-bar.ng-enter.ng-enter-active,
#loading-bar.ng-leave,
#loading-bar-spinner.ng-enter.ng-enter-active,
#loading-bar-spinner.ng-leave {
    @include opacity(1);
}

#loading-bar .bar {
    @include transition(width 350ms linear);
    background: $brand-success;
    position: fixed;
    z-index: 10002;
    top: 0;
    left: 0;
    width: 100%;
    height: 3px;
    border-bottom-right-radius: 1px;
    border-top-right-radius: 1px;
}

/* Fancy blur effect */
#loading-bar .peg {
    position: absolute;
    width: 70px;
    right: 0;
    top: 0;
    height: 2px;
    @include opacity(0.45);
    @include box-shadow($brand-success 1px 0 6px 1px);
    @include border-radius(100%);
}

#loading-bar-spinner {
    display: block;
    position: fixed;
    z-index: 10002;
    top: 10px;
    left: 10px;
}

#loading-bar-spinner .spinner-icon {
    width: 14px;
    height: 14px;
    border: solid 2px transparent;
    border-top-color: $brand-success;
    border-left-color: $brand-success;
    @include border-radius(50%);
    @include animation(loading-bar-spinner 400ms linear infinite);
}

@include keyframes(loading-bar-spinner) {
    0% {
        @include rotate(0deg);
        @include rotate(0deg);
    }
    100% {
        @include rotate(360deg);
        @include rotate(360deg);
    }
}
